org.apache.ignite.ml.tree.randomforest.data

## Class NodeSplit

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.NodeSplit

- All Implemented Interfaces:
    Serializable

      public class NodeSplit
      extends Object
      implements Serializable

  Class represents a split point for decision tree.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeSplit()`
    `NodeSplit(int featureId, double val, double impurity)` Creates an instance of NodeSplit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createLeaf(TreeNode node)` Convert node to leaf.
    `double` | `getImpurity()`
    `double` | `getVal()`
    `List<TreeNode>` | `split(TreeNode node)` Split node from parameter onto two children nodes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeSplit

          public NodeSplit()

    - #### NodeSplit

          public NodeSplit(int featureId,
                           double val,
                           double impurity)

      Creates an instance of NodeSplit.
      Parameters:
        `featureId` - Feature id.
        `val` - Feature split value.
        `impurity` - Impurity value.

  - ### Method Detail

    - #### split

          public List<TreeNode> split(TreeNode node)

      Split node from parameter onto two children nodes.
      Parameters:
        `node` - Node.
      Returns:
        List of children.

    - #### createLeaf

          public void createLeaf(TreeNode node)

      Convert node to leaf.
      Parameters:
        `node` - Node.

    - #### getImpurity

          public double getImpurity()

    - #### getVal

          public double getVal()

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023